import {
  makeVar,
  useLocalStorageReactiveVar,
} from '@inject/graphql/client/reactive'
import Keys from '@inject/shared/localstorage/keys'

const limitReactiveVar = makeVar<number>(10)

const useNotificationLimit = () =>
  useLocalStorageReactiveVar(limitReactiveVar, Keys.NOTIFICATION_LIMIT)

export default useNotificationLimit
